
Redmine - Feature #17431

Display a target version's date if available in issue forms, as a tooltip

2014-07-09 13:22 - Olivier Houdas

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.6.0   

Resolution: Fixed   

Description

In our company, we feel that the target version field is very useful for planning our activity.

However, when displaying an issue, it only shows the version name, and the info on the planned release date (or effective for

released versions) is not easy to find in the Redmine site.

A solution could be to add the date as a tooltip over the target version name.

Attached is a patch to do so. Feel free to include it in Redmine's code, at the suggested location, or even at a lower level

(projects_helper.rb ?), or in all places where link_to_version is called...

This patch affects only the Issue page view.

Related issues:

Related to Redmine - Feature #19350: Add version date in issue detail and Gantt Closed

Associated revisions

Revision 13322 - 2014-07-14 12:35 - Jean-Philippe Lang

Moved #link_to_version to ApplicationHelper (#17431).

Revision 13323 - 2014-07-14 12:37 - Jean-Philippe Lang

Class mismatch when reloading in development mode (#17431).

Revision 13324 - 2014-07-14 13:03 - Jean-Philippe Lang

Adds version date as title in #link_to_version (#17431).

History

#1 - 2014-07-09 16:02 - Olivier Houdas

- File 11312-Version-date-info-in-issuesv2.patch added

Sorry, it's better to format the date before displaying it.  v2 patch attached.

#2 - 2014-07-10 14:42 - Go MAEDA

- File patch-applied.png added

I tryed the patch on trunk and works fine.
Although it is useful, target versions are also displayed elsewhere(for example, issues/index). User interfaces should keep the consistency.

#3 - 2014-07-10 17:03 - Olivier Houdas

- File 11314-Version-date-info-in-issuesv3.patch added

OK, so just for fun:

Added version date tooltip in Roadmap (app/views/versions/index.html.erb), in Gantt

(lib/redmine/helpers/gantt.rb) and in issue lists (app/helpers/aplication_helper.rb)

I did not do it for the calendar... it makes little sense to add the date there.

Note that I have a doubt on the change for getting the tooltip in issue lists, as this affects very generic code used in places that I don't master fully.

The v3 patch attached includes previous changes.

#4 - 2014-07-11 10:05 - Daniel Felix

Well I think this would be cool and the change isn't really big. :-)

#5 - 2014-07-14 13:27 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.0

- Resolution set to Fixed

Change done in #link_to_version to have the same behaviour in different places.

#6 - 2014-07-15 03:02 - Go MAEDA

Thank Olivier Houdas and JPL.

#7 - 2015-03-13 02:22 - Go MAEDA

- Related to Feature #19350: Add version date in issue detail and Gantt added

Files

11312-Version-date-info-in-issues.patch 1.02 KB 2014-07-09 Olivier Houdas

11312-Version-date-info-in-issuesv2.patch 812 Bytes 2014-07-09 Olivier Houdas

patch-applied.png 53.5 KB 2014-07-10 Go MAEDA

11314-Version-date-info-in-issuesv3.patch 2.8 KB 2014-07-10 Olivier Houdas
